//
//  SpParameters.h
//  SvmPredictor
//
//  Created by 熊田 聖也 on 12/06/03.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#ifndef SvmPredictor_SpParameters_h
#define SvmPredictor_SpParameters_h

#include "Parameters.h"
#include <string>
#include <ostream>

struct SvmPredictorTag;

template<>
struct Parameters<SvmPredictorTag>
{
        std::string     input_svm_;
        std::string     data_;
        std::string     output_;
        
        Parameters()
                : input_svm_(),
                  data_(),
                  output_() {}
};

typedef Parameters<SvmPredictorTag> SpParameters;

template<>
inline std::ostream& operator<<(
        std::ostream&           os, 
        const SpParameters&     params
) 
{
        os << "[parameters]\n";
        os << "input-svm: " << params.input_svm_ << std::endl;
        os << "data: " << params.data_ << std::endl;
        os << "output: " << params.output_ << std::endl;
        return os;
}

#endif
